Bug 1030089 - Horrible error messages - no host identification
Horrible error messages - no host identification
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring - Alerts (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity medium
: ER03
: JON 3.3.0
Assigned To: Jay Shaughnessy
Jeeva Kandasamy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 16:53 EST by Peter Larsen
Modified: 2014-12-11 09:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:02:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
verified-screen-shot (58.61 KB, image/jpeg)
2014-09-23 10:38 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Peter Larsen 2013-11-13 16:53:18 EST
Description of problem:

I have a dynagroup of all agents (more than 100 members). I want to define an alert on the group members, so I add an alert definition to the group. After a little while, under the operations on the summary tab, I see the alert deployment failed.  I get the following error when clicking on the error symbol:


The following resources failed to invoke the operation: RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent,RHQ Agent

First, the error doesn't tell me anything I can use - what caused the error? Timeout? Not available? Failure codes?  Second, which hosts of the hundreds of nodes I have available failed?  

Can we get object names in the inventory prefixed with a hostname or something that makes it possible to identify items; in particular when it comes to object names that are similiar or the same across hosts, just using the detailed name is not helpful at all.

How reproducible:

Have not been able to make this work.
Have lots of hosts. Create dynagroup that includes all Agent definitions. Try to deploy a simple alert that goes off when the agent is unavailable. 

Actual results:

Not alerts seems to have been deployed.

Expected results:

Alert should be defined on all deployed agents.

Additional info:

For this alert I moved the alert into a template. However, this method does not work as we'll eventually subdivide hosts into major groups which may not share the same alerts.
Comment 1 Peter Larsen 2013-11-13 16:59:16 EST
Correction - the job that failed was "update all plugins" - not the deployment of alerts (which did not fully deploy).
Comment 2 Jay Shaughnessy 2014-09-05 14:11:11 EDT
master commit 9ee9621a9fa80079768587036fc620633abf6d22
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Sep 5 14:08:09 2014 -0400

    Add ancestry info to each failed/canceled resource. Also, indicate that the
    full details are available via the group op history and the individual
    res op histories (via the GUI, or programmatically).


Release/jon3.3.x commit b23f76dd1964638722f84c0c869949e80666b58d
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Sep 5 14:08:09 2014 -0400

    (cherry picked from commit 9ee9621a9fa80079768587036fc620633abf6d22)
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>
Comment 3 Simeon Pinder 2014-09-16 22:49:18 EDT
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149
Comment 4 Jeeva Kandasamy 2014-09-23 10:38:29 EDT
Created attachment 940474 [details]
verified-screen-shot

Verified,

Version:
JBoss Operations Network
Version : 3.3.0.ER03
Build Number : 4aefe39:44e33a4
GWT Version : 2.5.0
SmartGWT Version : 3.0p

screen shot is attached

Note You need to log in before you can comment on or make changes to this bug.